
QGIS Application - Bug report #6175

Open file with QGIS when not running closes new project

2012-08-12 12:36 PM - William Kyngesburye

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 15492

Description

if QGIS is not running, and you double-click/drag-n-drop/open-with a file (ie a shapefile), this normally starts up QGIS and adds the file to

the new project that is always created on startup.  Now, the file is added to a new project, then the project is closed to create another new

project.  This triggers the save/cancel dialog - if you Don't Save or Save, the project is closed and a new empty project created, if you

Cancel, the original project with the opened file remains.

Kinda sounds like the order of startup operations changed, so the usual new empty project is created after the opened files are

processed?

Works correctly in 1.8.

History

#1 - 2012-08-12 02:05 PM - Giovanni Manghi

If it is a regression please tag this as blocker.

#2 - 2012-08-12 02:15 PM - William Kyngesburye

- Priority changed from Normal to Severe/Regression

#3 - 2013-04-08 08:32 PM - William Kyngesburye

- Resolution set to duplicate

This is the original bug I was thinking of for a more recent bug report, #7532.  Fixed there, so this is now duplicate.

#4 - 2013-04-08 08:33 PM - William Kyngesburye

- Status changed from Open to Closed
